> [!NOTE]
> **Note:** [Authorization](https://developers.google.com/workspace/calendar/api/v3/reference/events/get#auth) optional.

Returns an event based on its Google Calendar ID. To retrieve an event using its iCalendar ID, call the [events.list method using the `iCalUID` parameter](https://developers.google.com/workspace/calendar/api/v3/reference/events/list#iCalUID).
[Try it now](https://developers.google.com/workspace/calendar/api/v3/reference/events/get#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/calendar/v3/calendars/calendarId/events/eventId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `calendarId` | `string` | Calendar identifier. To retrieve calendar IDs call the [calendarList.list](https://developers.google.com/workspace/calendar/api/v3/reference/calendarList/list) method. If you want to access the primary calendar of the currently logged in user, use the "`primary`" keyword. |
| `eventId` | `string` | Event identifier. |
| **Optional query parameters** |||
| `alwaysIncludeEmail` | `boolean` | Deprecated and ignored. A value will always be returned in the `email` field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided). |
| `maxAttendees` | `integer` | The maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional. |
| `timeZone` | `string` | Time zone used in the response. Optional. The default is the time zone of the calendar. |

### Authorization

This request allows authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/calendar.readonly` |
| `https://www.googleapis.com/auth/calendar` |
| `https://www.googleapis.com/auth/calendar.events.readonly` |
| `https://www.googleapis.com/auth/calendar.events` |
| `https://www.googleapis.com/auth/calendar.app.created` |
| `https://www.googleapis.com/auth/calendar.events.freebusy` |
| `https://www.googleapis.com/auth/calendar.events.owned` |
| `https://www.googleapis.com/auth/calendar.events.owned.readonly` |
| `https://www.googleapis.com/auth/calendar.events.public.readonly` |

For more information, see the [authentication and authorization](https://developers.google.com/workspace/guides/configure-oauth-consent) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an [Events resource](https://developers.google.com/workspace/calendar/api/v3/reference/events#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.